"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.yargsShowCommand = void 0;
const tslib_1 = require("tslib");
const validObjectTypes = ['projects'];
exports.yargsShowCommand = {
    command: 'show <object>',
    describe: 'Show information about the workspace (e.g., list of projects)',
    builder: (yargs) => withShowOptions(yargs),
    handler: (args) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
        if (!validObjectTypes.includes(args.object)) {
        }
        yield Promise.resolve().then(() => require('./show')).then((m) => m.show(args));
        process.exit(0);
    }),
};
function withShowOptions(yargs) {
    return yargs
        .positional('object', {
        describe: 'What to show (e.g., projects)',
        choices: ['projects'],
        required: true,
    })
        .coerce({
        object: (arg) => {
            if (validObjectTypes.includes(arg)) {
                return arg;
            }
            else {
                throw new Error(`Invalid object type: ${arg}. Valid object types are: ${validObjectTypes.join(', ')}`);
            }
        },
    });
}
//# sourceMappingURL=command-object.js.map